# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget Aspose::Words Aspose::AsposeCpp)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)
# =============================================================================

if (DEFINED CMAKE_VS_PLATFORM_NAME)
  set(PLATFORM ${CMAKE_VS_PLATFORM_NAME})
else()
  if(CMAKE_SIZEOF_VOID_P EQUAL "8")
    set(PLATFORM "x64")
  else()
    set(PLATFORM "Win32")
  endif()
endif()

set(PLATFORM_SUFFIX "")
if (PLATFORM STREQUAL "x64")
  set(PLATFORM_SUFFIX "x64")
endif()

message(STATUS "${CMAKE_CURRENT_LIST_DIR}/include")

add_library(Aspose::Words SHARED IMPORTED)
set_target_properties(Aspose::Words PROPERTIES
    INTERFACE_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_LIST_DIR}/include"
    INTERFACE_LINK_LIBRARIES "Aspose::CodePorting.Native.Cs2Cpp"
)

if (WIN32)
  set_target_properties(Aspose::Words PROPERTIES
    IMPORTED_CONFIGURATIONS "DEBUG;RELEASE"
    IMPORTED_LOCATION_DEBUG "${CMAKE_CURRENT_LIST_DIR}/lib/${PLATFORM}/Debug/Aspose.Words.Cpp_vc14${PLATFORM_SUFFIX}d.dll"
    IMPORTED_IMPLIB_DEBUG "${CMAKE_CURRENT_LIST_DIR}/lib/${PLATFORM}/Debug/Aspose.Words.Cpp_vc14${PLATFORM_SUFFIX}d.lib"
    IMPORTED_LOCATION_RELEASE "${CMAKE_CURRENT_LIST_DIR}/lib/${PLATFORM}/Release/Aspose.Words.Cpp_vc14${PLATFORM_SUFFIX}.dll"
    IMPORTED_IMPLIB_RELEASE "${CMAKE_CURRENT_LIST_DIR}/lib/${PLATFORM}/Release/Aspose.Words.Cpp_vc14${PLATFORM_SUFFIX}.lib"
  )
endif()

if (UNIX)
  if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    set_target_properties(Aspose::Words PROPERTIES
      IMPORTED_LOCATION "${CMAKE_CURRENT_LIST_DIR}/lib/libAspose.Words.Cpp_clang.so"
    )
  endif()

  if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set_target_properties(Aspose::Words PROPERTIES
      IMPORTED_LOCATION "${CMAKE_CURRENT_LIST_DIR}/lib/libAspose.Words.Cpp_gcc9.so"
    )
  endif()
endif()

unset(PLATFORM_SUFFIX)
unset(PLATFORM)
# =============================================================================
# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)